> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Start an Incident Workflow Instance

`POST https://api.pagerduty.com/incident_workflows/{id}/instances`

Start an Instance of an Incident Workflow. Sometimes referred to as "triggering a workflow on an incident."

An Incident Workflow is a sequence of configurable Steps and associated Triggers that can execute automated Actions for a given Incident.

Scoped OAuth requires: `incident_workflows:instances.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`)

| Field | Type | Required | Description |
|---|---|---|---|
| `incident_workflow_instance` | object | yes |  |
| `incident_workflow_instance.id` | string |  | An identifier to help differentiate between workflow executions. |
| `incident_workflow_instance.incident` | object |  |  |
| `incident_workflow_instance.incident.id` | string | yes |  |
| `incident_workflow_instance.incident.type` | string |  | One of: `incident_reference`. |

Example: Request Example

```json
{
  "incident_workflow_instance": {
    "id": "P3SNKQS",
    "type": "incident_workflow_instance",
    "incident": {
      "id": "Q1R2DLCB21K7NP",
      "type": "incident_reference"
    }
  }
}
```

## Response 201

The Incident Workflow Instance

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `incident_workflow_instance` | object | yes |  |
| `incident_workflow_instance.id` | string |  | Read-only. |
| `incident_workflow_instance.type` | string |  | A string that determines the schema of the object. This must be the standard name for the entity, suffixed by `_reference` if the object is a reference. Read-only. One of: `incident_workflow_instance`. |
| `incident_workflow_instance.incident` | object |  |  |
| `incident_workflow_instance.incident.id` | string | yes | Read-only. |
| `incident_workflow_instance.incident.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident_workflow_instance.incident.type` | string | yes | A string that determines the schema of the object. This must be the standard name for the entity, suffixed by `_reference` if the object is a reference. Read-only. |
| `incident_workflow_instance.incident.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident_workflow_instance.incident.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |

Example: Response Example

```json
{
  "incident_workflow_instance": {
    "id": "P3SNKQS",
    "type": "incident_workflow_instance",
    "incident": {
      "id": "Q1R2DLCB21K7NP",
      "type": "incident_reference",
      "summary": "[#1234] The server is on fire.",
      "self": "https://api.pagerduty.com/incidents/PT4KHLK",
      "html_url": "https://subdomain.pagerduty.com/incidents/PT4KHLK"
    }
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 402

Account does not have the abilities to perform the action. Please review the response for the required abilities.
You can also use the [Abilities API](#resource_Abilities) to determine what features are available to your account.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
